﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ListBox_SelectedItemIssue_Ticket854397
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<ExcelMacro> macros = new ObservableCollection<ExcelMacro>();
            macros.Add(new ExcelMacro() { Name = "macro 1" });
            macros.Add(new ExcelMacro() { Name = "macro 2" });
            macros.Add(new ExcelMacro() { Name = "macro 3" });
            macros.Add(new ExcelMacro() { Name = "macro 4" });
            vm.MacrosToRun = macros;

            vm.MacroSelected = macros.First();

            this.DataContext = vm;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            vm.MacrosToRun.Clear();
        }
    }
}
