﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace ListBox_SelectedItemIssue_Ticket854397
{
    // I inherit from the Telerik.Windows.Controls.ViewModelBase because it implements the INotifyPropertyChanged interface. You can implement INotifyPropertyChanged directly.
    public class ViewModel : ViewModelBase
    {
        private ExcelMacro macroSelected;
        public ExcelMacro MacroSelected
        {
            get
            {
                return this.macroSelected;
            }
            set
            {
                if (this.macroSelected != value)
                {
                    this.macroSelected = value;
                    this.OnPropertyChanged("MacroSelected");
                }
            }
        }

        private ObservableCollection<ExcelMacro> macrosToRun = new ObservableCollection<ExcelMacro>();

        public ObservableCollection<ExcelMacro> MacrosToRun
        {
            get
            {
                return this.macrosToRun;
            }
            set
            {
                if (this.macrosToRun != value)
                {
                    this.macrosToRun = value;
                    this.OnPropertyChanged("MacrosToRun");
                }
            }
        }
    }
}
